    import Tree from 'yjs/src/Util/Tree.js'

public class | source

# Tree

#### Direct Subclass:

DeleteStore, OperationStore

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public | length : number |
public | root : * |

## Method Summary

Public Methods
public | delete (id: *) |
public | find (id: *): * |
public | findNext (id: *): * |
public | findNode (id: *): * |
public | findNodeWithLowerBound (from: *): * |
public | findNodeWithUpperBound (to: *): * |
public | findPrev (id: *): * |
public | findSmallestNode (): * |
public | findWithLowerBound (from: *): * |
public | findWithUpperBound (to: *): * |
public | iterate (from: *, to: *, f: *) |
public | put (v: *): * |

## Public Constructors

### public constructor() source

## Public Members

### public length: number source

### public root: * source

## Public Methods

### public delete(id: *) source

#### Params:

Name | Type | Attribute | Description
id | * |  |

### public find(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public findNext(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public findNode(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public findNodeWithLowerBound(from: *): * source

#### Params:

Name | Type | Attribute | Description
from | * |  |

#### Return:

*

### public findNodeWithUpperBound(to: *): * source

#### Params:

Name | Type | Attribute | Description
to | * |  |

#### Return:

*

### public findPrev(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public findSmallestNode(): * source

#### Return:

*

### public findWithLowerBound(from: *): * source

#### Params:

Name | Type | Attribute | Description
from | * |  |

#### Return:

*

### public findWithUpperBound(to: *): * source

#### Params:

Name | Type | Attribute | Description
to | * |  |

#### Return:

*

### public iterate(from: *, to: *, f: *) source

#### Params:

Name | Type | Attribute | Description
from | * |  |
to | * |  |
f | * |  |

### public put(v: *): * source

#### Params:

Name | Type | Attribute | Description
v | * |  |

#### Return:

*